
package org.objectweb.petals.jbi.messaging.transport;



public class MultiTransportException extends TransportException {
    
    private static final long serialVersionUID = -5731145126352181354L;
    
    private int exceptionCount;

    public MultiTransportException(String message, Throwable cause) {
        super(message, cause);
        exceptionCount++;
    }

//    public void addStackTraceElements(StackTraceElement[] stackTraceElements) {
//        StackTraceElement[] originalStackTraceElements = this.getStackTrace();
//        StackTraceElement[] result = (StackTraceElement[]) ArrayUtils.addAll(
//                originalStackTraceElements, stackTraceElements);
//        this.setStackTrace(result);
//        exceptionCount++;
//    }
    
    public void addCount(){
        exceptionCount++;
    }

    public int getExceptionCount() {
        return exceptionCount;
    }
}
